<?php
/**
 * EasysmsRepositoryInterface File Doc Comment
 * PHP Version 7.1
 *
 * @category EasysmsRepositoryInterface
 * @package  EasySms
 * @author   Tern <info@tern.gr>
 * @license  https://easysms.gr/license EasySms
 * @link     https://easysms.gr
 */
namespace Tern\Smsplugin\Api;

use Tern\Smsplugin\Api\Data\EasysmsInterface;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * EasysmsRepositoryInterface Class Doc Comment
 *
 * @category Interface
 * @package  EasySms
 * @author   Tern <info@tern.gr>
 * @license  https://easysms.gr/license EasySms
 * @link     https://easysms.gr
 */
interface EasysmsRepositoryInterface
{
    /**
    * Function save
    *
    * Saves an sms
    *
    * @param EasysmsInterface $page page
    *
    * @return EasysmsInterface
    */
    public function save(EasysmsInterface $page);

    /**
    * Function getById
    *
    * Gets the sms with the specific id
    *
    * @param @var $id id
    *
    * @return Easysms
    */
    public function getById($id);

    /**
    * Function getList
    *
    * Retrieves a list of SMS
    *
    * @param SearchCriteriaInterface $criteria criteria
    *
    * @return List
    */
    public function getList(SearchCriteriaInterface $criteria);

    /**
    * Function delete
    *
    * Deletes a specific sms object
    *
    * @param EasysmsInterface $page page
    *
    * @return boolean
    */
    public function delete(EasysmsInterface $page);

    /**
    * Function deleteById
    *
    * Deletes an sms with the specific id
    *
    * @param @var $id id
    *
    * @return boolean
    */
    public function deleteById($id);
}



