<?php
/**
 * Tern Mass Send SMS to Customers
 * PHP Version 7.1
 *
 * @category Info
 * @package  Tern_Smsplugin
 * @author   Tern <info@tern.gr>
 * @license  https://easysms.gr/license EasySms
 * @link     https://easysms.gr
 */
namespace Tern\Smsplugin\Block\Adminhtml\System\Config;

use Magento\Backend\Block\Context;
use Magento\Framework\Data\Form\Element\AbstractElement;

/**
 * Info class Doc Comment
 * PHP Version 7.1
 *
 * @category Info
 * @package  EasySMS
 * @author   Tern <info@tern.gr>
 * @license  https://easysms.gr/license EasySms
 * @link     https://easysms.gr
 */
class Info extends \Magento\Backend\Block\AbstractBlock implements
    \Magento\Framework\Data\Form\Element\Renderer\RendererInterface
{

    /**
     * Constructor
     *
     * @param Context $context context
     */
    public function __construct(
        Context $context
    ) {
        parent::__construct($context);
    }

    /**
     * Render form element as HTML
     *
     * @param \Magento\Framework\Data\Form\Element\AbstractElement $element element
     *
     * @return string
     */
    public function render(AbstractElement $element)
    {
      $version  = 1;
      $name = "SMS Plugin";
      $logoUrl = 'https://sms-plugin.com/wp-content/uploads/2017/10/sms-plugin-com-logo.png';

      $html  = <<<HTML
<div style="background: scroll 15px 15px #e5e5e5;
border:1px solid #e3e3e3; min-height:70px; display:flow;
padding:15px 15px 15px 15px;">
<img class="sms-plugin-com-logo" src='$logoUrl' />
<p>
<strong>SMS Plugin v$version</strong> for Magento v2
by <strong><a href="https://sms-plugin.com" target="_blank">sms-plugin.com</a></strong><br />
To use this module, please create an account
<a href="https://easysms.gr/app/sign-up" target="_blank">here</a>. </p>
<p>
<a href="https://sms-plugin.com/faq" target="_blank">Here</a>
are the most frequent questions.
</p><hr>
<p>SMS Plugin for Magento v2 is an add-on that allows you send SMS notifications to your customers and to the site Administrator about order status changes and new orders.
SMS Plugin for Magento v2 allows Administrator SMS notifications for customer sign-ups and on-demand SMS messages to any international mobile phone number</p>
</div>
HTML;
      return $html;
    }
}
