<?php
/**
 * Easysms List Collection
 * PHP Version 7.1
 *
 * @category EasysmsList
 * @package  EasySms
 * @author   Tern <info@tern.gr>
 * @license  https://easysms.gr/license EasySms
 * @link     https://easysms.gr
 */
namespace Tern\Smsplugin\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;
use Tern\Smsplugin\Model\ResourceModel\Easysms\CollectionFactory;

/**
 * EasysmsList Class Doc Comment
 *
 * @category EasysmsList
 * @package  EasySms
 * @author   Tern <info@tern.gr>
 * @license  https://easysms.gr/license EasySms
 * @link     https://easysms.gr
 */
class EasysmsList implements ArrayInterface
{
    /**
     * Options
     *
     * @var array
     */
    protected $options;

    /**
     * Collection factory
     *
     * @var CollectionFactory
     */
    protected $collectionFactory;

    /**
     * Constructor
     *
     * @param CollectionFactory $collectionFactory collectionFactory
     */
    public function __construct(
        CollectionFactory $collectionFactory
    ) {
        $this->collectionFactory = $collectionFactory;
    }

    /**
     * To option array
     *
     * @return array
     */
    public function toOptionArray()
    {
        if (!$this->options) {
            $this->options = $this->collectionFactory->create()->toOptionIdArray();
        }
        return $this->options;
    }
} 


