<?php
/**
 * Easysms Collection
 * PHP Version 7.1
 *
 * @category Collection
 * @package  EasySms
 * @author   Tern <info@tern.gr>
 * @license  https://easysms.gr/license EasySms
 * @link     https://easysms.gr
 */
namespace Tern\Smsplugin\Model\ResourceModel\Easysms;

use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

/**
 * Collection Class Doc Comment
 *
 * @category Collection
 * @package  EasySms
 * @author   Tern <info@tern.gr>
 * @license  https://easysms.gr/license EasySms
 * @link     https://easysms.gr
 */
class Collection extends AbstractCollection
{
    /**
     * Id field name
     *
     * @var string
     */
    protected $_idFieldName = 'easysms_id';

    /**
     * Define resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(
            'Tern\Smsplugin\Model\Easysms', 
            'Tern\Smsplugin\Model\ResourceModel\Easysms'
        );
    }

    /**
     * OptionArray for records in tern_easysms
     *
     * @return array
     */
    public function toOptionIdArray()
    {
        $res = [];
        $res[] = ['value'=>'', 'label'=>__('Please Select')];
        foreach ($this as $item) {
            $data['value'] = $item->getData('easysms_id');;
            $data['label'] = $item->getData('receiver');

            $res[] = $data;
        }

        return $res;
    }
} 


