var config = {
    map: {
        '*': {
        }
    }
};


require(["jquery"],function($){

  function get_output_elt(elt_id) {
    var elt_parent = $(elt_id).parent();
    var note_elt = elt_parent.children(".note");
    return note_elt.children("span");
  }

  function get_gsm_char_length(numeric_code) {
    switch (numeric_code){
      case 12:
      case 91:
      case 92:
      case 93:
      case 94:
      case 123:
      case 124:
      case 125:
      case 126:
      case 8364:
        return 2;
        break;
      default:
        return 1;
    }
    return 1;
  }

  function get_characters_number(elt_id, is_gsm) {
    var text = $(elt_id).val();
    var length = text.length;

    if (is_gsm) {
      var gsm_length = 0;
      for (i=0; i<length; ++i) {
        current_char = text.charCodeAt(i);
        gsm_length += get_gsm_char_length(current_char);
      }
      length = gsm_length;
    }
    return length;
  }

  function is_encoding_gsm(encoding_id) {
    if ($(encoding_id).val() == "GSM") {
      return true;
    } else {
      return false;
    }
  }

  function compute_sms_quantity(characters_number) {
    return Math.ceil(characters_number/67);
  }

  function show_balance(balance_url, balance_reponsetype, balance_elt_id, apikey_id) {
    $.get(balance_url+$(apikey_id).val()+balance_reponsetype,function(data,status) {
      $(balance_elt_id).text("Balance "+data+" SMS");
    },'html');
  }

  $(document).ready(function(){

    var messages = {
      "#tern_smsplugin_orders_new_order_smsplugin_new_order_message": "#tern_smsplugin_orders_new_order_smsplugin_new_order_encoding", 
      "#tern_smsplugin_orders_order_status_change_smsplugin_order_status_change_message": "#tern_smsplugin_orders_order_status_change_smsplugin_order_status_change_encoding", 
      "#tern_smsplugin_masssms_masssms_smsplugin_masssms_message": "#tern_smsplugin_masssms_masssms_smsplugin_masssms_encoding", 
      "#tern_smsplugin_orders_admin_actions_smsplugin_admin_onnewaccount_message": "#tern_smsplugin_orders_admin_actions_smsplugin_admin_onnewaccount_encoding", 
      "#tern_smsplugin_orders_admin_actions_smsplugin_admin_oncustomercheckout_message": "#tern_smsplugin_orders_admin_actions_smsplugin_admin_oncustomercheckout_encoding", 
      "#tern_smsplugin_orders_admin_actions_smsplugin_admin_onorderstatuschange_message": "#tern_smsplugin_orders_admin_actions_smsplugin_admin_onorderstatuschange_encoding"};

    var balance_url = "https://easysms.gr/api/balance/get?key=";
    var balance_reponsetype = "&type=v2";
    var balance_elt_id = "#tern_smsplugin_actions_tern_smsplugin_balance_info-head";
    var apikey_id = "#tern_smsplugin_actions_basic_actions_smsplugin_apikey";
    

    jQuery.each(messages, function(message_id, encoding_id) {
      $(message_id).keyup(function() {
        var text_length = get_characters_number(message_id, is_gsm);
        var output_elt = get_output_elt(message_id);
        var is_gsm = is_encoding_gsm(encoding_id);
        var sms_quantity = compute_sms_quantity(text_length);

        output_elt.text(function(  ) {
          return "Number of characters: " + text_length +". Number of SMS: "+sms_quantity;
        });
      });
    });

    show_balance(balance_url, balance_reponsetype, balance_elt_id, apikey_id);
    
  });

});


